Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.tree
Class SyncMappedTree

    java.lang.Object
      de.grogra.util.TreeModelSupport
          de.grogra.util.Tree
              de.grogra.util.MutableTree
                  de.grogra.util.MappedTree
                      de.grogra.pf.ui.tree.SyncMappedTree

All Implemented Interfaces:
  Synchronizer.Callback, Disposable, MappedTreeModel, MutableTreeModel, javax.swing.tree.TreeModel

    public class SyncMappedTree

extends MappedTree
implements Synchronizer.Callback

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.util.MappedTree
`MappedTree.Node`

Field Summary
`protected static int` | `ACTION_COUNT`
`protected static int` | `INSERT`
`protected TreeMapper` | `mapper`
`protected static int` | `REMOVE`
`protected static int` | `SET_ROOT`
`protected Synchronizer` | `sync`
`protected static int` | `VALUE_FOR_PATH_CHANGED`

Fields inherited from class de.grogra.util.Tree
`root`

Fields inherited from class de.grogra.util.TreeModelSupport
`NODES_CHANGED, NODES_INSERTED, NODES_REMOVED, STRUCTURE_CHANGED`

Constructor Summary
`SyncMappedTree(javax.swing.tree.TreeModel sourceTree, java.lang.Object sourceRoot, Synchronizer sync)`

Method Summary
`protected void` | `allListenersRemoved()`
`protected void` | `firstListenerAdded()`
`javax.swing.tree.TreeModel` | `getSourceTree()`
`void` | `insert(java.lang.Object parent, int index, java.lang.Object child, java.lang.Object constraints)`
`protected void` | `insertSync(java.lang.Object parent, int index, java.lang.Object child, java.lang.Object constraints)`
`void` | `remove(java.lang.Object parent, int index)`
`protected void` | `removeSync(java.lang.Object parent, int index)`
`java.lang.Object` | `run(int action, int iarg, java.lang.Object oarg1, java.lang.Object oarg2)`
`void` | `setRoot(java.lang.Object root)`
`protected void` | `setRootSync(java.lang.Object root)`
`void` | `valueForPathChanged(javax.swing.tree.TreePath path, java.lang.Object newValue)`
`protected void` | `valueForPathChangedSync(javax.swing.tree.TreePath path, java.lang.Object newValue)`

Methods inherited from class de.grogra.util.MappedTree
`createNode, disposeNode, isImage, treeChanged`

Methods inherited from class de.grogra.util.MutableTree
`dispose, remove`

Methods inherited from class de.grogra.util.Tree
`findFirst, findMax, findMax, getChild, getChildCount, getIndexOfChild, getIndexOfChild, getParent, getRoot, hasValidPath, isLeaf, nodesEqual`

Methods inherited from class de.grogra.util.TreeModelSupport
`addTreeModelListener, clearListeners, fireTreeModelEvent, fireTreeModelEvent, fireTreeModelEvent, fireTreeModelEvent, hasListeners, removeTreeModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.tree.TreeModel
`addTreeModelListener, getChild, getChildCount, getIndexOfChild, getRoot, isLeaf, removeTreeModelListener`

Methods inherited from interface de.grogra.util.Disposable
`dispose`

Field Detail

### ACTION_COUNT

    protected static final int ACTION_COUNT

See Also:
  Constant Field Values

### INSERT

    protected static final int INSERT

See Also:
  Constant Field Values

### mapper

    protected final TreeMapper mapper

### REMOVE

    protected static final int REMOVE

See Also:
  Constant Field Values

### SET_ROOT

    protected static final int SET_ROOT

See Also:
  Constant Field Values

### sync

    protected final Synchronizer sync

### VALUE_FOR_PATH_CHANGED

    protected static final int VALUE_FOR_PATH_CHANGED

See Also:
  Constant Field Values

Constructor Detail

### SyncMappedTree

    public SyncMappedTree(javax.swing.tree.TreeModel sourceTree,
                          java.lang.Object sourceRoot,
                          Synchronizer sync)

Method Detail

### allListenersRemoved

    protected void allListenersRemoved()

  Overrides:
    `allListenersRemoved` in class `TreeModelSupport`

### firstListenerAdded

    protected void firstListenerAdded()

  Overrides:
    `firstListenerAdded` in class `TreeModelSupport`

### getSourceTree

    public javax.swing.tree.TreeModel getSourceTree()

### insert

    public void insert(java.lang.Object parent,
                       int index,
                       java.lang.Object child,
                       java.lang.Object constraints)

  Specified by:
    `insert` in interface `MutableTreeModel`
  Overrides:
    `insert` in class `MutableTree`

### insertSync

    protected void insertSync(java.lang.Object parent,
                              int index,
                              java.lang.Object child,
                              java.lang.Object constraints)

### remove

    public void remove(java.lang.Object parent,
                       int index)

  Specified by:
    `remove` in interface `MutableTreeModel`
  Overrides:
    `remove` in class `MutableTree`

### removeSync

    protected void removeSync(java.lang.Object parent,
                              int index)

### run

    public java.lang.Object run(int action,
                                int iarg,
                                java.lang.Object oarg1,
                                java.lang.Object oarg2)

  Specified by:
    `run` in interface `Synchronizer.Callback`

### setRoot

    public void setRoot(java.lang.Object root)

  Specified by:
    `setRoot` in interface `MutableTreeModel`
  Overrides:
    `setRoot` in class `MutableTree`

### setRootSync

    protected void setRootSync(java.lang.Object root)

### valueForPathChanged

    public void valueForPathChanged(javax.swing.tree.TreePath path,
                                    java.lang.Object newValue)

  Specified by:
    `valueForPathChanged` in interface `javax.swing.tree.TreeModel`
  Overrides:
    `valueForPathChanged` in class `MutableTree`

### valueForPathChangedSync

    protected void valueForPathChangedSync(javax.swing.tree.TreePath path,
                                           java.lang.Object newValue)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD